petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerASCIIPushSynchronized

Allows calls to PetscViewerASCIISynchronizedPrintf() for this viewer

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIPushSynchronized(PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

viewer -obtained with PetscViewerASCIIOpen()

### See Also

PetscViewerASCIIPopSynchronized(), PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIIPopTab(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerASCIIGetPointer()

Level:intermediate
Location:src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages